Support » Plugin: Visitor Maps and Who's Online » The Maxmind GeoLiteCity database is not yet installed. Install Now

  • Mike

    I have used this plugin for several years now and worked fine. Excellent plugin.

    Regarding the latest version, I am having an issue. The map does not show up on the web page although all the statistics do show.

    As usual I have to manually install (my web host has the PHP setting allow_url_fopen turned off) the map which I have done It sits in the /wp-content/visitor-maps-geoip/ folder

    In the user interface however I have the message: ‘The Maxmind GeoLiteCity database is not yet installed. Install Now’. It is installed.

    In addition even though I tick the box against the question ‘Enable geolocation’ and save, it reverts back to being unticked if I return to the options page.

    Any thoughts please on the problem?

    https://wordpress.org/plugins/visitor-maps/

Viewing 7 replies - 1 through 7 (of 7 total)
  • Make sure you have this file uploaded, and that it has read permissions
    /wp-content/visitor-maps-geoip/GeoLiteCity.dat

    On my server read permissions are 0644

    Thanks Mike for the response. File permission was 0664 so changed it to 0644.

    I an sorry to say still the same messages as above.

    Any thoughts?

    Are you running the latest version 1.5.8.10?
    Did you install the Visitor Maps Geolocation Addon
    as noted on step 6 of the installation?
    https://wordpress.org/plugins/visitor-maps/installation/

    I am running 1.5.8.10 and I have added the Visitor Maps Geolocation Addon.

    The Gelocation Addon has its own directory and sits in the plugins folder. The GeoLiteCity.dat sits within the visitor-maps-geoip/ folder.

    For whatever reason the GeoLiteCity.dat file does not appear to be recognised.

    Mike

    Still a problem. Could it because I run with a https site?

    Does this error message help to resolve the problem?

    ‘Warning: fopen() [function.fopen]: http:// wrapper is disabled in the server configuration by allow_url_fopen=0 in /home/www/7e8632d24d5fab7830309f3bd224a697/web/wp-content/plugins/visitor-maps-geoip/class-wo-update.php on line 417

    Warning: fopen(http://geolite.maxmind.com/download/geoip/database/GeoLiteCity.dat.gz) [function.fopen]: failed to open stream: no suitable wrapper could be found in /home/www/7e8632d24d5fab7830309f3bd224a697/web/wp-content/plugins/visitor-maps-geoip/class-wo-update.php on line 417
    download_file error: reading or opening file’

    Hi, thank you for reporting the error above. The plugin author will investigate further.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘The Maxmind GeoLiteCity database is not yet installed. Install Now’ is closed to new replies.